summaryrefslogtreecommitdiff
path: root/package/brcm-bluetooth/files/hci
diff options
context:
space:
mode:
Diffstat (limited to 'package/brcm-bluetooth/files/hci')
-rw-r--r--package/brcm-bluetooth/files/hci32
1 files changed, 32 insertions, 0 deletions
diff --git a/package/brcm-bluetooth/files/hci b/package/brcm-bluetooth/files/hci
new file mode 100644
index 000000000..8b7d231c3
--- /dev/null
+++ b/package/brcm-bluetooth/files/hci
@@ -0,0 +1,32 @@
+#!/bin/sh
+#PKG brcm-bluetooth
+#INIT 10
+
+case $1 in
+autostop) ;;
+autostart)
+ exec sh $0 start
+ ;;
+start)
+ target=$(cat /etc/.adktarget)
+ case $target in
+ raspberry-pi3)
+ hciattach /dev/ttyAMA0 bcm43xx 921600 noflow -
+ ;;
+ *)
+ echo "No supported target found"
+ ;;
+ esac
+ ;;
+stop)
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?